> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/jettons/get-jetton-masters",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Jetton Masters

> Get Jetton masters by specified filters



## OpenAPI

````yaml get /api/v3/jetton/masters
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/jetton/masters:
    get:
      tags:
        - Jettons
      summary: Get Jetton Masters
      description: Get Jetton masters by specified filters
      operationId: api_v3_get_jetton_masters
      parameters:
        - name: address
          in: query
          description: 'Jetton Master address in any form. Max: 1024.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: admin_address
          in: query
          description: 'Address of Jetton Master''s admin in any form. Max: 1024.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: limit
          in: query
          description: Limit number of queried rows. Use with *offset* to batch read.
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 1000
        - name: offset
          in: query
          description: Skip first N rows. Use with *limit* to batch read.
          schema:
            type: integer
            format: int32
            default: 0
            minimum: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JettonMastersResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    JettonMastersResponse:
      type: object
      properties:
        address_book:
          $ref: '#/components/schemas/AddressBook'
        jetton_masters:
          type: array
          items:
            $ref: '#/components/schemas/JettonMaster'
        metadata:
          $ref: '#/components/schemas/Metadata'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    JettonMaster:
      type: object
      properties:
        address:
          type: string
        admin_address:
          type: string
        code_hash:
          type: string
        data_hash:
          type: string
        jetton_content:
          type: object
          additionalProperties: true
        jetton_wallet_code_hash:
          type: string
        last_transaction_lt:
          type: string
          example: '0'
        mintable:
          type: boolean
        total_supply:
          type: string
    Metadata:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressMetadata'
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        interfaces:
          type: array
          items:
            type: string
        user_friendly:
          type: string
    AddressMetadata:
      type: object
      properties:
        is_indexed:
          type: boolean
        token_info:
          type: array
          items:
            $ref: '#/components/schemas/TokenInfo'
    TokenInfo:
      type: object
      properties:
        description:
          type: string
        extra:
          type: object
          additionalProperties: true
        image:
          type: string
        name:
          type: string
        nft_index:
          type: string
        symbol:
          type: string
        type:
          type: string
        valid:
          type: boolean

````